Upgrade funkčního redakčního systému 1.5.15 na verzi která poběží na PHP 7.2

peknal
03. lis 2020 16:23 #143132
Dobrý den, je vůbec technicky možné upgradovat funkční redakční systém 1.5.15 z roku 2009 na verzi která poběží aktuálně na hostingovém serveru PHP 7.2. ? Ta dosavadní verze běží momentálně bez problému na php 5.6.40. Bohužel admin odešel před mnoha lety a já jsem jako majitel webu neměl čas a vědomosti k atualizaci redakčního systému. Rád bych změnil zastaralé zabezpečení a zachoval funkční využívaný web na který jsem zvyklý. Než najdu pomoc, rád bych věděl zda to je vůbec technicky možné a vhodné.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Linelabcz
03. lis 2020 16:49 #143133
Dobrý den, migračních nástrojů pro migraci Joomla je celá řada. extensions.joomla.org/category/migration...on/joomla-migration/
Problém bývá většinou v náhradě nekompatibilních / zastaralých a dále nepodporovaných rozšířeních třetích stran.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od peknal
03. lis 2020 18:28 #143134
Díky, z nabídky vyplývá, že skoro každý migrační nástroj umí překlopit verzi 1.5. zhruba do 3.6 Otázka je kterou vybrat verzi aby běžela na PHP 7.2. No vypadá to jednoduše, a s pozitivními recenzemi , ale asi to tak jednoduché nebude. Web má běžící e shop jako open source taky v zastaralé verzi, QUICK Cart, takže je otázka co to bude dělat. Aktualizaci E shop bych chtěl řešit separátně

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Ernst
03. lis 2020 22:39 #143135
Uvědomte si, že si vytvoříte novou instalaci joomla 3.x.x a do ní přenesete vlastně jen obsah původního webu. Takže to na 7.2, 7.3 jistě poběží.
Osobně mám dobré zkušenost s jmigrator. Problém je s rozšířenímy joomly, třeba jmigrator umí některé převést ( www.daycounts.com/migrator - addons).
Ale ty rozšíření na které není převod připraven si musíte ošetřit sám. Podívat se, zda neexistuje upgrade rozšíření, které bude fungovat na joomla 3.x a pokud ne, je třeba najít nějaké podobné rozšíření pro joomla 3, které bude umět to, co je na starém webu.
Tohle je strašně individuální a nejde to říct nějak všeobecně.
Jestli quick cart bude fungovat v joomle 3 nedokáži posoudit, spíše si myslím, že ne. Ale existují jiné eshopy pro joomlu 3.

Pokud dáte odkaz na původní web, dá se zjistit víc.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.